TopStats.gg
Discord

Compare

GET
/discord/compare/{*}

Authorization

ApiKeyAuth
authorization<token>

In: header

Path Parameters

**string

Slash-separated list of bot IDs (e.g., /id1/id2/id3)

Response Body

application/json

application/json

curl -X GET "https://api.topstats.gg/discord/compare/string"
{
  "data": [
    {
      "id": "432610292342587392",
      "name": "Mudae",
      "avatar": "https://cdn.discordapp.com/avatars/432610292342587392/29cb28fbf65a3958105026ab03abd306.png",
      "monthly_votes": 24852,
      "total_votes": 221182027,
      "server_count": 3371839,
      "review_count": 10682,
      "monthly_votes_rank": 1,
      "server_count_rank": 15,
      "total_votes_rank": 1
    },
    {
      "id": "270904126974590976",
      "name": "UnbelievaBoat",
      "avatar": "https://cdn.discordapp.com/avatars/270904126974590976/avatar.png",
      "monthly_votes": 8932,
      "total_votes": 89123456,
      "server_count": 1250000,
      "review_count": 5234,
      "monthly_votes_rank": 45,
      "server_count_rank": 89,
      "total_votes_rank": 50
    }
  ]
}
{
  "code": 404,
  "message": "Resource not found"
}
GET
/discord/compare/historical/{*}

Authorization

ApiKeyAuth
authorization<token>

In: header

Path Parameters

**string

Slash-separated list of bot IDs (e.g., /id1/id2/id3)

Query Parameters

type*|||

Type of graph data to fetch

timeFrame*||||||||||||

Timeframe for historical data

Response Body

application/json

application/json

curl -X GET "https://api.topstats.gg/discord/compare/historical/string?type=monthly_votes&timeFrame=alltime"
{
  "data": [
    {
      "id": "432610292342587392",
      "data": [
        {
          "time": "2025-04-30T00:00:00.000Z",
          "id": "432610292342587392",
          "monthly_votes": 24852,
          "total_votes": 221182027,
          "server_count": 3371839,
          "review_count": 10682
        },
        {
          "time": "2025-04-29T00:00:00.000Z",
          "id": "432610292342587392",
          "monthly_votes": 24710,
          "total_votes": 221100000,
          "server_count": 3370000,
          "review_count": 10680
        }
      ]
    },
    {
      "id": "270904126974590976",
      "data": [
        {
          "time": "2025-04-30T00:00:00.000Z",
          "id": "270904126974590976",
          "monthly_votes": 8932,
          "total_votes": 89123456,
          "server_count": 1250000,
          "review_count": 5234
        }
      ]
    }
  ]
}
{
  "code": 404,
  "message": "Resource not found"
}